### Method

# Ggit Repository file_status_foreach

#### Declaration [src]

    gboolean
    ggit_repository_file_status_foreach (
      GgitRepository* repository,
      GgitStatusOptions* options,
      GgitStatusCallback callback,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Gathers file statuses and run a callback for each one.

To the callback is passed the path of the file, the status and the data pointer passed to this function. If the callback returns something other than 0, the iteration will stop and `error` will be set.

Set `options` to `NULL` to get the default status options.

#### Parameters

`options`

  Type: `GgitStatusOptions`

  Status options, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GgitStatusCallback`

  A `GgitStatusCallback`.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if there was no error, `FALSE` otherwise.